<?php	
    include_once "../dompdf/vendor/autoload.php";
    use Dompdf\Dompdf;
    header('Content-Type: text/html; charset=UTF-8');
	include('../ex_cnx.php');
	session_start();
    //echo "<br> var sesion<br>";
    //print_r($_SESSION);
    // *** echo "<br> var post<br>";
    // ***print_r($_POST);
    if(isset($_SESSION['id'])){
        if($_SESSION['nivel'] > 2){
            //echo "chkPrint = " . $_POST['chkPrint'];
            if(isset($_POST['chkPrint'])){
                //echo "<br> chequeo para impresion";
                //miPdf($cn, $_POST);
                
                $html = miPdf($cn, $_POST);
                $dompdf = new Dompdf();
                $option = $dompdf->getOptions();
                $option->set(array('isRemoteEnabled' => true));
                $dompdf->setOptions($option);
                $dompdf->loadHtml($html);
                $dompdf->setPaper('A4', 'portrait');
                $dompdf->render();
                $dompdf->stream('Carnet.pdf', array("Attachment" => false));
                
            }else{
                if(isset($_POST['eq'])){
                    $eq=$_POST['eq'];
                }else{
                    $eq=1;
                }
                $htm = cabecera($cn, $eq);
                $htm .= jugadores($cn, $eq);
                echo $htm;
            }
        }else{
            echo "No tiene autorizacion";
            print '<meta http-equiv=Refresh content="2 ; url=../inicio.php">';
        }
    }else{
        echo "Ingreso mal intencionado al sistema";
        print "<meta http-equiv=Refresh content=\"2 ; url=../index.php\">";
    }
    
   

    function carga_opciones($cn, $sql, $id){
		$res = mysqli_query($cn, $sql);
		$opc = " ";
		while($registro = mysqli_fetch_array($res)) {
			$opc .= '<option value=' . $registro[0];
			if($id == $registro[0]){
				$opc .= ' selected>' . $registro[1] . '</option>';	
			}else{
				$opc .= '>' . $registro[1] . '</option>';	
			}
		}
		return $opc;
	}

    function cabecera($cn, $eq){
        $h='<html xml:lang="es" lang="es">
	    <head><meta http-equiv="Content-Type" content="text/html; charset=big5"><title>Carnetizacion de Jugadores</title>
		    <style>
                table, th, td {
                    padding: 0px 10px 0px 10px;
                }
            </style>
    	</head>
    	<body>
    	    <form id="carnetizar" name="carnetizar" action="carnet.php" method="POST">
    	        <table align="center" width=1100>';
        
        if($eq <= 1){
            
        }else{
            $sql = 'SELECT * from equipo where id = ' . $eq;
    		$res = mysqli_query($cn, $sql);
    		$registro = mysqli_fetch_assoc($res);
        } 
        
        //<input type="checkbox" id="chkPrint" name="chkPrint" checked readonly></th>
        //<input type="checkbox" id="cbox2" value="second_checkbox">
    	$h .= '   <tr>
    	                <th rowspan=2 bgcolor="#8258FA" width=100><IMG SRC="../img/balon.png" WIDTH=90 HEIGHT=90></a></th>
    	                <th bgcolor="#8258FA" width=800><h3>LIGA DEPORTIVA BARRIAL ALAQUEZ</h3></th>
    	                <th rowspan=2 bgcolor="#8258FA" width=100><input type="button" value="Imprimir" name="imprimir" onclick="doPrint()">
    	                <th rowspan=2 bgcolor="#8258FA" width=100><a href="../inicio.php"><input type="button" name="menu" value="Menu"></a></th>
    	            </tr>
    	            <tr>
    	                <th bgcolor="#8258FA" width=750>
    	                    Equipo : <select class="select_equipo" name="eq" id="eq" onChange="check(this);">
							 <option selected="selected" value=0> Seleccione Equipo </option>';
			
			$opc = carga_opciones($cn, "SELECT id, equipo FROM equipo ORDER BY equipo", $eq);
			//<input type="submit" name="consultar" value="Consultar">
    	$h .= $opc . '</select></th>
    	            </tr>
    	        </table>
    	        
    	        <table align="center" width=1100 >
    	            <tr>
    	                <th bgcolor="#A4A4A4" width=140 align="center">ESCOGER <input type="checkbox" onclick="OnChangeCheckbox(this.form)" id="myChk" name="myChk" /></th>
    	                <th bgcolor="#A4A4A4" width=120 align="center">CEDULA</th>
    	                <th bgcolor="#A4A4A4" width=600 align="center">JUGADOR</th>
    	                <th bgcolor="#A4A4A4" width=50 align="center">NUM.</th>
    	                <th bgcolor="#A4A4A4" width=50 align="center">NOVEDAD</th>
    	                <th bgcolor="#A4A4A4" width=100 align="center">FOTO</th>
    	           </tr>
    	       </table>
    	   ';
    	       
        return $h;
    }    
    
    
    function jugadores($cn, $eq){
        $h = '<table align="center" width=1100 >';
        if($eq <= 1){
            $h .= '<tr>
    	                <td width=140 align="center"></td>
    	                <td width=120 align="center"></td>
    	                <td width=600 align="left"></td>
    	                <td width=50 align="center"></td>
    	                <td width=50 align="center"></td>
    	                <td width=100 align="center"></td>
    	            </tr>  ';
        }else{
            $sql = 'SELECT j.*, n.novedad from jugador as j INNER JOIN novedad as n ON j.id_novedad = n.id where id_equipo = ' . $eq . " order by apellidos, nombres";
    		$res = mysqli_query($cn, $sql);
    		$n=0;
    		$b="";
    		while($registro = mysqli_fetch_assoc($res)){
    		    if(($n % 2) == 0){
    		        $b="";
    		    }else{
    		        $b='bgcolor="#CED8F6"';
    		    }
    		    $n++;
    		    $h .= '<tr>
        	                <td ' . $b . ' width=140 align="center"><input type="checkbox" name="ck_' . $registro["id"] . '" value="' . $registro["id"] . '"></td>
        	                <td ' . $b . ' width=120 align="center">' . $registro["cedula"] . '</td>
        	                <td ' . $b . ' width=600 align="left">' . " " . $registro["apellidos"] . " " . $registro["nombres"] . '</td>
        	                <td ' . $b . ' width=50 align="center">' . $registro["numero"] . '</td>
        	                <td ' . $b . ' width=50 align="center">' . $registro["novedad"] . '</td>
        	                <td ' . $b . ' width=100 align="center"><IMG SRC="../jugador/'.  $registro["foto"] . '" WIDTH=50 HEIGHT=50></td>
        	            </tr>  ';
    		}
        }
        $h .= '</table></form>
            <script>
                //document.getElementById("chkPrint").checked = false;
				function doPrint() {
					//alert("llegue");
					//document.getElementById("chkPrint").checked = true;
					//document.getElementById("cbox2").checked = true;
					//document.body.appendChild(x);
					
					var x = document.createElement("INPUT");
                    x.setAttribute("type", "checkbox");
                    x.setAttribute("id", "chkPrint");
                    x.setAttribute("name", "chkPrint");
                    document.forms["carnetizar"].appendChild(x);
					document.getElementById("chkPrint").checked = true;
                    //alert(document.getElementById("chkPrint").form.id);
					document.forms["carnetizar"].setAttribute("target", "_blank");
					document.forms["carnetizar"].submit();
				}
				function check(theForm) {
                    //alert("llegue a check");
                    //document.getElementById("eq").disabled = !elem.selectedIndex;
                    //alert(document.getElementById("eq"));
                    //alert(elem.value);
                    document.forms["carnetizar"].submit();
				}
				 function OnChangeCheckbox(theForm) {
                    var i;
                    var n=0;
                    if (theForm.myChk.checked) {
                        //alert ("The check box is checked.");
                        for(i=0; i < theForm.length; i++){
                            if(theForm.elements[i].name.substring(0, 3) == "ck_"){
                                //n++;
                                theForm.elements[i].checked = true;
                            }
                        }
                        //alert("Existen " + n + " checks")
                    }
                    else {
                        //alert ("The check box is not checked.");
                        for(i=0; i < theForm.length; i++){
                            if(theForm.elements[i].name.substring(0, 3) == "ck_"){
                                //n++;
                                theForm.elements[i].checked = false;
                            }
                        }
                    }
                }
			</script></body></html>';
        return $h;
    }
    
    
    function miPdf($cn, $miPost){
        $numero2 = count($miPost);
        // Es el numero de carnets seleccionados mas 2 (equipo y casilla adicional)
        //echo "<br>casillas seleccionadas: " . $numero2 . "<br>";
        
        $tags2 = array_keys($miPost); // obtiene los nombres de las varibles
        //echo "<br>tag2<br>";
        //print_r($tags2);
        
        $valores2 = array_values($miPost);// obtiene los valores de las varibles
        //echo "<br>valores2<br>";
        //print_r($valores2);
        
        $n = 0;
        $y=0;

        // Necesito 7 columnas 9% 30% 9% 4% 9% 30% 9%
        // <tr> <td> <p>&nbsp;<span style="color: rgb(0, 0, 128);"><br/></p></td></tr>
        // <tr> <td style="border-width: 1px;border: solid; border-color: #00FF00;">M</td></tr>
        //<style type="text/css">tbody { background-repeat: no-repeat;} table, tr, td { border: none;}</style></head>
        
        $pdf = '<html><head>
                    <style type="text/css">
                      tbody { 
                        background-repeat: no-repeat;
                        background-image: url({{ url("../img/LDBA1.png")}}); ;
                        background-repeat: no-repeat;
                        background-attachment: fixed;
                        background-position: center center;
                        background-size: 100%;
                        margin: 0px;
                      } 
                      table, tr, td { 
                        border: none;
                      }
                    </style></head>
                <body>
            <table align="center" border=1 cellspacing="1" cellpadding="1">';

        for($i=0;$i<$numero2;$i++){ 
            if(substr($tags2[$i], 0, 3) == "ck_"){
                $sql = 'SELECT j.*, e.equipo, n.novedad from jugador as j INNER JOIN equipo as e ON j.id_equipo = e.id 
                        INNER JOIN novedad as n ON j.id_novedad = n.id where j.id = ' . $valores2[$i];
                //echo "<br> Sql fila ". $i . ": " . $sql;
        		$res = mysqli_query($cn, $sql);
        		$reg = mysqli_fetch_assoc($res);
        		
        		if($reg['id_novedad'] > 1 ){
        		    $xnov = $reg['novedad'];
        		}else{
        		    $xnov = " ";
        		}
        		if($x >= 190){
        		    $n = 0;
                    $y=0;
                    // *** $pdf->AddPage();
        		}
        		
        		//<tbody background="http://www.ligalaquez.com/femenino/img/LDBA1.png" background-repeat="no-repeat">
        		
            $pdf .= '<tr> <td style="border-width: thin;border:solid; border-color:#CBCCCD;">
                <table align="center" width="200" cellspacing="0" cellpadding="0">
                  <tbody background="http://www.ligalaquez.com/femenino/img/LDBA1.png" background-repeat="no-repeat">
                    <tr> 
                        <td width="50"  rowspan=4   align="center"> <img src="http://www.ligalaquez.com/femenino/img/logoliga.png" width=60 height=60> </td>
                        <td width="135" height="7" align="center" valign="bottom"> <b> <font size="11px"> LIGA DEPORTIVA BARRIAL </font> </b> </td>
                        <td width="50"  rowspan=4   align="center"> <img src="http://www.ligalaquez.com/femenino/jugador/' . $reg['foto'] . '"  width=80 height=90> </td>
                    </tr>
                    <tr>
                        <td  height="7" align="center" valign="top"> <b> <font size="11px"> PARROQUIA ALAQUEZ </font> </b> </td>
                    </tr>
                    <tr>
                        <td rowspan=2 align="center">  </td>
                    </tr>
                    <tr>
                    </tr>
                    
                    <tr>
                        <td height="7" colspan=3 align="center" style="background-color:#143269;"> <b><font size="3" color="#ffffff"> ' . $reg['equipo'] . ' </font></b> </td>
                    </tr>
                    <tr>
                        <td height="7" colspan=2 align="center">  </td>
                        <td align="center"> <b><font size="1"> NUMERO </font></b> </td>
                    </tr>
                    <tr>
                        <td height="7" colspan=2 align="center">  </td>
                        <td align="center"> <b> <font size="2"> ' . $reg['numero'] . ' </font> </b></td>
                    </tr>
                    <tr>
                        <td height="12" colspan=2 align="center">  </td>
                        <td align="center"> <font size="1"> ' . $xnov . ' </font> </td>
                    </tr>
                    <tr>
                        <td height="7" align="right"> <b> <font size="11px"> CEDULA: </font> </b> </td>
                        <td align="center"> <font size="12px"> ' . $reg['cedula'] . ' </font> </td>
                    </tr>
                    <tr>
                        <td height="7" align="right"> <font size="11px"> <b> NOMBRES: </b> </font> </td>
                        <td colspan=2 > <font size="12px"> ' . $reg['nombres'] . ' </font> </td>
                    </tr>
                    <tr>
                        <td height="7" align="right"> <b> <font size="11px"> APELLIDOS: </font> </b> </td>
                        <td colspan=2 > <font size="12px"> ' . $reg['apellidos'] . ' </font> </td>
                    </tr>
                    
                  </tbody>
                </table>
            </td><td width="15"></td><td style="border-width: 1px;border: solid; border-color: #CBCCCD;">                
                <table align="center" width="200" cellspacing="0" cellpadding="0">
                    <tr>
                        <td width="50"  align="center">  </td>
                        <td width="130" rowspan=3 align="center"> <img src="http://www.ligalaquez.com/femenino/img/tec.png" width=180 height=40> </td>
                        <td width="50"  align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td height="7" colspan=3 align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td rowspan=3 align="center"> 
                            <img src="http://www.ligalaquez.com/femenino/paginas/barcode.php?text=' . $reg['cedula'] . '&size=25&orientation=horizontal&codetype=Code39&print=true"> </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td height="5" align="center">  </td>
                        <td height="5" align="center">  </td>
                    </tr>
                    <tr>
                        <td height="5" align="center">  </td>
                        <td height="5" align="center">  </td>
                    </tr>
                    
                    <tr>
                        <td colspan=3 height="5"></td>
                    </tr>
                    <tr>
                        <td align="center">  </td>';
                        
                     //*******************   
                     //<td rowspan=2 align="center"> <img src="http://www.ligalaquez.com/femenino/img/firma.png" width=150 height=40> </td>
                     
            $pdf .= '   <td align="center">  </td>
                    </tr>
                    <tr>
                        <td height="5" align="center">  </td>
                        <td height="5" align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center"> ______________________ </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center"><font size="11px"> Firma de la Comisión </font></td>
                        <td align="center"><font size="1"> 2022-2024 </font> </td>
                    </tr>
                 </table>
            </td></tr>
            <tr><td height="15"></td></tr>';
            //<td rowspan=3 align="center" style="font=barcodefont;"> ' . $reg['cedula'] . ' </td>
            }
        }
        $pdf .= '</table></body></html>';
        return $pdf;
        //echo $pdf;
    }
 
 
    
    function miPdf_baj($cn, $miPost){
        $numero2 = count($miPost);
        // Es el numero de carnets seleccionados mas 2 (equipo y casilla adicional)
        //echo "<br>casillas seleccionadas: " . $numero2 . "<br>";
        
        $tags2 = array_keys($miPost); // obtiene los nombres de las varibles
        //echo "<br>tag2<br>";
        //print_r($tags2);
        
        $valores2 = array_values($miPost);// obtiene los valores de las varibles
        //echo "<br>valores2<br>";
        //print_r($valores2);
        
        $n = 0;
        $y=0;

        // Necesito 7 columnas 9% 30% 9% 4% 9% 30% 9%
        // <tr> <td> <p>&nbsp;<span style="color: rgb(0, 0, 128);"><br/></p></td></tr>
        // <tr> <td style="border-width: 1px;border: solid; border-color: #00FF00;">M</td></tr>
        //<style type="text/css">tbody { background-repeat: no-repeat;} table, tr, td { border: none;}</style></head>
        
        $pdf = '<html><head>
                    <style type="text/css">
                      tbody { 
                        background-repeat: no-repeat;
                        background-image: url({{ url("../img/LDBA1.png")}}); ;
                        background-repeat: no-repeat;
                        background-attachment: fixed;
                        background-position: center center;
                        background-size: 100%;
                        margin: 0px;
                      } 
                      table, tr, td { 
                        border: none;
                      }
                    </style></head>
                <body>
            <table align="center" border=1 cellspacing="1" cellpadding="1">';

        for($i=0;$i<$numero2;$i++){ 
            if(substr($tags2[$i], 0, 3) == "ck_"){
                $sql = 'SELECT j.*, e.equipo, n.novedad from jugador as j INNER JOIN equipo as e ON j.id_equipo = e.id 
                        INNER JOIN novedad as n ON j.id_novedad = n.id where j.id = ' . $valores2[$i];
                //echo "<br> Sql fila ". $i . ": " . $sql;
        		$res = mysqli_query($cn, $sql);
        		$reg = mysqli_fetch_assoc($res);
        		
        		if($reg['id_novedad'] > 1 ){
        		    $xnov = $reg['novedad'];
        		}else{
        		    $xnov = " ";
        		}
        		if($x >= 190){
        		    $n = 0;
                    $y=0;
                    // *** $pdf->AddPage();
        		}
        		
        		//<tbody background="http://www.ligalaquez.com/femenino/img/LDBA1.png" background-repeat="no-repeat">
        		
            $pdf .= '<tr> <td style="border-width: thin;border:solid; border-color:#CBCCCD;">
                <table align="center" width="200" cellspacing="0" cellpadding="0">
                  <tbody background="http://www.ligalaquez.com/femenino/img/LDBA1.png" background-repeat="no-repeat">
                    <tr> 
                        <td width="50"  rowspan=4   align="center"> <img src="http://www.ligalaquez.com/femenino/img/logoliga.png" width=60 height=60> </td>
                        <td width="135" height="7" align="center" valign="bottom"> <b> <font size="11px"> LIGA DEPORTIVA BARRIAL </font> </b> </td>
                        <td width="50"  rowspan=4   align="center"> <img src="http://www.ligalaquez.com/femenino/jugador/' . $reg['foto'] . '"  width=50 height=60> </td>
                    </tr>
                    <tr>
                        <td  height="7" align="center" valign="top"> <b> <font size="11px"> PARROQUIA ALAQUEZ </font> </b> </td>
                    </tr>
                    <tr>
                        <td rowspan=2 align="center">  </td>
                    </tr>
                    <tr>
                    </tr>
                    
                    <tr>
                        <td height="7" colspan=3 align="center" style="background-color:#143269;"> <b><font size="3" color="#ffffff"> ' . $reg['equipo'] . ' </font></b> </td>
                    </tr>
                    <tr>
                        <td height="7" colspan=2 align="center">  </td>
                        <td align="center"> <b><font size="1"> NUMERO </font></b> </td>
                    </tr>
                    <tr>
                        <td height="7" colspan=2 align="center">  </td>
                        <td align="center"> <b> <font size="2"> ' . $reg['numero'] . ' </font> </b></td>
                    </tr>
                    <tr>
                        <td height="12" colspan=2 align="center">  </td>
                        <td align="center"> <font size="1"> ' . $xnov . ' </font> </td>
                    </tr>
                    <tr>
                        <td height="7" align="right"> <b> <font size="11px"> CEDULA: </font> </b> </td>
                        <td align="center"> <font size="12px"> ' . $reg['cedula'] . ' </font> </td>
                    </tr>
                    <tr>
                        <td height="7" align="right"> <font size="11px"> <b> NOMBRES: </b> </font> </td>
                        <td colspan=2 > <font size="12px"> ' . $reg['nombres'] . ' </font> </td>
                    </tr>
                    <tr>
                        <td height="7" align="right"> <b> <font size="11px"> APELLIDOS: </font> </b> </td>
                        <td colspan=2 > <font size="12px"> ' . $reg['apellidos'] . ' </font> </td>
                    </tr>
                    
                  </tbody>
                </table>
            </td><td width="15"></td><td style="border-width: 1px;border: solid; border-color: #CBCCCD;">                
                <table align="center" width="200" cellspacing="0" cellpadding="0">
                    <tr>
                        <td width="50"  align="center">  </td>
                        <td width="130" rowspan=3 align="center"> <img src="http://www.ligalaquez.com/femenino/img/tec.png" width=180 height=40> </td>
                        <td width="50"  align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td height="7" colspan=3 align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td rowspan=3 align="center"> 
                            <img src="http://www.ligalaquez.com/femenino/paginas/barcode.php?text=' . $reg['cedula'] . '&size=25&orientation=horizontal&codetype=Code39&print=true"> </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td height="5" align="center">  </td>
                        <td height="5" align="center">  </td>
                    </tr>
                    <tr>
                        <td height="5" align="center">  </td>
                        <td height="5" align="center">  </td>
                    </tr>
                    
                    <tr>
                        <td colspan=3 height="5"></td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td rowspan=2 align="center"> <img src="http://www.ligalaquez.com/femenino/img/firma.png" width=150 height=40> </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td height="5" align="center">  </td>
                        <td height="5" align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center"> ______________________ </td>
                        <td align="center">  </td>
                    </tr>
                    <tr>
                        <td align="center">  </td>
                        <td align="center"><font size="11px"> Firma de la Comisión </font></td>
                        <td align="center"><font size="1"> 2022-2024 </font> </td>
                    </tr>
                 </table>
            </td></tr>
            <tr><td height="15"></td></tr>';
            //<td rowspan=3 align="center" style="font=barcodefont;"> ' . $reg['cedula'] . ' </td>
            }
        }
        $pdf .= '</table></body></html>';
        return $pdf;
        //echo $pdf;
    }
 
    
    function miPdf_prueba($miPost){
        //SetFillColor($r, $g=null, $b=null)
    	//Cell($w, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=false, $link='')
    	//Image($file, $x=null, $y=null, $w=0, $h=0, $type='', $link='')
    	// MultiCell($w, $h, $txt, $border=0, $align='J', $fill=false)
    	/*foreach ($_POST as $clave=>$valor){
       		echo "<BR>indice de linea : " . $n . " Tiene el valor => " .  $clave;
       		$n++;
       	}*/
    }
    
?>